CRAN Package Check Results for Package specmine

Last updated on 2021-02-26 00:48:30 CET.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 3.1.3 1.02 2.67 3.69 ERROR
r-devel-linux-x86_64-debian-gcc 3.1.3 84.93 174.95 259.88 NOTE
r-devel-linux-x86_64-fedora-gcc 3.1.3 394.61 NOTE
r-devel-windows-ix86+x86_64 3.0.3 112.00 226.00 338.00 NOTE
r-patched-linux-x86_64 3.1.3 66.56 212.18 278.74 NOTE
r-release-linux-x86_64 3.1.3 63.17 211.69 274.86 NOTE
r-release-macos-x86_64 3.0.3 NOTE
r-release-windows-ix86+x86_64 3.0.3 162.00 308.00 470.00 NOTE
r-oldrel-macos-x86_64 3.1.3 ERROR

Check Details

Version: 3.1.3
Check: package dependencies
Result: ERROR
    Package required but not available: 'specmine.datasets'
    
    Packages suggested but not available for checking:
     'MAIT', 'xcms', 'rcytoscapejs'
    
    See section 'The DESCRIPTION file' in the 'Writing R Extensions'
    manual.
Flavor: r-devel-linux-x86_64-debian-clang

Version: 3.1.3
Check: package dependencies
Result: NOTE
    Package suggested but not available for checking: ‘rcytoscapejs’
Flavors: r-devel-linux-x86_64-debian-gcc, r-patched-linux-x86_64, r-release-linux-x86_64

Version: 3.1.3
Check: package dependencies
Result: NOTE
    Packages suggested but not available for checking: 'MAIT', 'rcytoscapejs'
Flavor: r-devel-linux-x86_64-fedora-gcc

Version: 3.1.3
Check: dependencies in R code
Result: NOTE
    Namespaces in Imports field not imported from:
     ‘e1071’ ‘specmine.datasets’
     All declared Imports should be used.
Flavor: r-devel-linux-x86_64-fedora-gcc

Version: 3.0.3
Check: package dependencies
Result: NOTE
    Package suggested but not available for checking: 'rcytoscapejs'
Flavors: r-devel-windows-ix86+x86_64, r-release-windows-ix86+x86_64

Version: 3.0.3
Check: package dependencies
Result: NOTE
    Packages suggested but not available for checking:
     'MAIT', 'KEGGgraph', 'KEGGREST', 'rcytoscapejs'
Flavor: r-release-macos-x86_64

Version: 3.0.3
Check: dependencies in R code
Result: NOTE
    Namespaces in Imports field not imported from:
     ‘e1071’ ‘specmine.datasets’
     All declared Imports should be used.
Flavor: r-release-macos-x86_64

Version: 3.1.3
Check: package dependencies
Result: ERROR
    Package required but not available: ‘specmine.datasets’
    
    Packages suggested but not available for checking: 'MAIT', 'rcytoscapejs'
    
    See section ‘The DESCRIPTION file’ in the ‘Writing R Extensions’
    manual.
Flavor: r-oldrel-macos-x86_64